Bug 1768217 - Cannot scroll dropdown menus if they do not fit on screen
Summary: Cannot scroll dropdown menus if they do not fit on screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-11-03 14:13 UTC by Michal Stanke (Mozilla.cz) [:MikkCZ][:mstanke] (use needinfo)
Modified: 2020-11-24 20:06 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 20:06:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Stanke (Mozilla.cz) [:MikkCZ][:mstanke] (use needinfo) 2019-11-03 14:13:18 UTC
Description of problem:
With Fedora 31, Firefox is using Wayland by default, instead of X11. When a long dropdown menu is open, last items are not reachable.

Version-Release number of selected component (if applicable):
Fedora 31
Firefox 70

How reproducible:
always

Steps to Reproduce:
1. Having the versions above, open Firefox.
2. Open many tabs and bookmark them into a single folder into the bookmarks bar under address bar.
3. On the bookmarks bar, open the new folder.

Actual results:
The dropdown is too long so not all bookmarks can fit on screen. The dropdown overflows the computer screen and last items are not reachable. Attempt to scroll does nothing.

Expected results:
The dropdown menz should resize so it does not overflow the screen and all items are reachable after scrolling.

Additional info:
A workaround exists - install firefox-x11 package and use the proper launcher to open Firefox.

Comment 1 Martin Stransky 2019-11-04 08:45:46 UTC
Jan, can you look at it please? Thanks.

Comment 2 Matt Kunkel 2019-11-08 04:00:17 UTC
Are you using scaled display settings?   I am able to re-produce this when running wayland at 200% scale (hidpi).   100% scale works fine (on a 1080 display).

Comment 3 Ben Cotton 2020-11-03 16:54:24 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 20:06:55 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.